Check for new version

Discussion of bugs and problems found in Altap Salamander. In your reports, please be as descriptive as possible, and report one incident per report. Do not post crash reports here, send us the generated bug report by email instead, please.
docfxit
Posts: 76
Joined: 02 May 2006, 23:51

Check for new version

Post by docfxit » 30 Jun 2017, 05:34

When I run the plugin "Check for new version"
I get an error saying:
connecting failed: An error occurred in the secure channel support

I'm currently running Salamander ver. 3.08 x86
in XP

Do you have any idea how I can fix it?

Thank you,

Docfxit

User avatar
tukanos
Posts: 242
Joined: 21 Dec 2005, 19:14

Re: Check for new version

Post by tukanos » 30 Jun 2017, 10:15

Maybe replacing the old OpenSSL?

Code: Select all

https://forum.altap.cz/viewtopic.php?f=10&p=58503#p58503

therube
Posts: 603
Joined: 14 Dec 2006, 06:22

Re: Check for new version

Post by therube » 30 Jun 2017, 17:37

I get the same - on XP.

And I believe its going to be (primarily) an XP issue.

In this case, I believe it going to be something like Salamander is relying on OS features in order to negotiate the SSL connection, & XP does not have the built-in (cipher) support needed.

Now, suppose it is also possible that Salamander could supply the "bits" needed outside of what the OS provides, in which case the connection would work... (But given that XP is EOL <well, kind of ;-)>, including EOL to Salamander, its kind of a moot point.)


Similarly in my download manager, Net Transport, which at this point is old, many times I'm unable to connect to SSL sites - some, not all, suppose it depends on how the site is configured, & I'll get messages like:

URL: https://github.com/avih/dejsonlz4/relea ... 4.v1.1.zip

Code: Select all

06/30/2017 11:28:39 AM.828 The supplied message is incomplete.  The signature was not verified.
At those times, I'll just jump to WGET (or through my browser), which works.

Code: Select all

WGET.exe  https://github.com/avih/dejsonlz4/releases/download/v1.1/dejsonlz4.v1.1.zip

This hints at TLS 1.2, which is an unknown entity to XP.

FIX: "The supplied message is incomplete" error when you use an FTPS client to upload a file in Windows

Support for SSL/TLS protocols on Windows

https://www.google.com/search?q=XP+The+ ... unofficial

XP, IE8 (cough), only talks about TLS 1.0.
Image
WinXP Pro SP3 or Win7 x86 | SS 2.54

Post Reply